package compbio.cassandra;

import java.util.List;
import java.util.ArrayList;
import java.util.Collections;

public class DataBase {
	private String date;
	private int total;					// total number of jobs
	private int totalOK;				// number of jobs with execution status OK
	private int totalStopped;			 // number of jobs with execution status STOPPED
	private int totalError;				// number of jobs with execution status Jpred ERROR
	private int totalTimeOut;			// number of jobs with execution status TIMEOUT
	private int totalJobs;
	private int totalId;				// total jobs for current protein sequence
	private String id;
	private String ip;
	private String prot;				// protein sequence
	private String jpred;
	private List<Integer> timeRez;
	private List<Integer> timeTotalExec;
	private JobBean logInfo;
	private ProteinBean predictions;

	public DataBase() {
	}

	public DataBase(String dat, int total) {
		this.date = dat;
		this.total = total;
	}

	public void setDate(String dat) {
		this.date = dat;
	}

	public String getDate() {
		if (null == date)
			return "1/1/1970";
		return date;
	}

	public void setTotal(int tot) {
		this.total = tot;
	}

	public int getTotal() {
		return total;
	}

	public void setTotalOK(int tot) {
		this.totalOK = tot;
	}

	public int getTotalOK() {
		return totalOK;
	}

	public void setTotalStopped(int tot) {
		this.totalStopped = tot;
	}

	public int getTotalStopped() {
		return totalStopped;
	}

	public void setTotalError(int tot) {
		this.totalError = tot;
	}

	public int getTotalError() {
		return totalError;
	}

	public void setTotalTimeOut(int tot) {
		this.totalTimeOut = tot;
	}

	public int getTotalTimeOut() {
		return totalTimeOut;
	}
	
	public void setTotalJobs(int totalJobs) {
		this.totalJobs = totalJobs;
	}

	public int getTotalJobs() {
		return totalJobs;
	}

	public void setTotalId(int totId) {
		this.totalId = totId;
	}

	public int getTotalId() {
		return totalId;
	}

	public void setProt(String prot) {
		this.prot = prot;
	}

	public String getProt() {
		return prot;
	}

	public void setJpred(String jpred) {
		this.jpred = jpred;
	}

	public String getJpred() {
		return jpred;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getId() {
		return id;
	}
	
	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getIp() {
		return ip;
	}

	public void setTimeRez(List<Integer> timeRez) {
		this.timeRez = timeRez;
	}

	public List<Integer> getTimeRez() {
		return timeRez;
	}
	
	public void setTimeTotalExec(List<Integer> timeTotalExec) {
		this.timeTotalExec = timeTotalExec;
	}

	public List<Integer> getTimeTotalExec() {
		return timeTotalExec;
	}
	
	public void setLogInfo(JobBean logInfo){
		this.logInfo = logInfo;
	}
	
	public JobBean getLogInfo() {
		return logInfo;
	}
	
	public void setPredictions(ProteinBean predictions){
		this.predictions = predictions;
	}
	
	public ProteinBean getPredictions() {
		return predictions;
	}

}
